## NAME

v.in.garmin - Download waypoints, routes, and tracks from a Garmin GPS receiver into a vector map.

## KEYWORDS

vector, import, GPS

## SYNOPSIS

v.in.garmin
v.in.garmin help
v.in.garmin [-vwrtpuzk] [output=string] [port=string] [--overwrite] [--verbose] [--quiet]

### Flags:

-v
  Verbose mode
-w
  Download Waypoints from GPS
-r
  Download Routes from GPS
-t
  Download Track from GPS
-p
  Force import of track or route data as points
-u
  Use gardump instead of gpstrans as the download program
-z
  Import track in 3D (gardump only)
-k
  Do not attempt projection transform from WGS84
--overwrite
  Allow output files to overwrite existing files
--verbose
  Verbose module output
--quiet
  Quiet module output

### Parameters:

output=string
  Name for output vector map (omit for display to stdout)
port=string
  Port Garmin receiver is connected to
  Default: /dev/gps

## DESCRIPTION

v.in.garmin allows the user to import waypoint, route, and track data from a locally connected Garmin GPS receiver via the gpstrans program by Carsten Tschach or the gardump program by Marc Hyman.

## NOTES

If the GPS is set up to output WGS84 Lat/Lon, v.in.garmin will attempt to automatically transform the coordinates to the current projection. In all other cases, no checks are performed for datum, projection and format of data. You must check for yourself that your receiver, gpstrans and GRASS use the same map datum and projection. The automatic transform may be skipped by using the -k flag.

Route and Track data may be uploaded as points by using the -p flag, otherwise they will be imported as a line. You can run v.in.garmin multiple times and merge the line and point vectors with the v.patch command if you want, but take care when merging dissimilar attribute tables.

Future versions of GRASS will use gardump as the default download program. It can talk to newer Garmin GPSs, while gpstrans seems to be mostly abandoned these days and only works with older GPSs. The current version of gardump (ver 2.5) will not yet talk to USB-only GPSs, but you can try the v.in.gpsbabel module for those. The gardump code has been tested with an older Garmin GPS 45 and a newer GPS V and is expected to work with everything in between.

Before running v.in.garmin, gpstrans should be set up to output WGS84 latitude-longitude, as follows:
`$ gpstrans -s
datum: 100 (WGS84)
format: 2 - lat/lon ddd.ddddd
`

## SEE ALSO

db.execute, v.in.ascii, v.in.gpsbabel, v.db.connect, v.patch

gpstrans manual
gardump from the "garmin-utils" package
cs2cs from PROJ.4
The `awk` user manual

## AUTHORS

Based on v.in.garmin.sh for GRASS 5.0 by Andreas Lange
with bug fixes by Glynn Clements and Markus Neteler
Rewritten for GRASS 5.3 and 5.7 by Hamish Bowman
`gardump` and 3D track support by Hamish Bowman

gpstrans was written by Carsten Tschach
gardump was written by Marc Hyman

Last changed: $Date: 2011-11-08 10:42:51 +0100 (út, 08 XI 2011) $

Main index - vector index - Full index

© 2003-2014 GRASS Development Team